## openqa 4.6.1640268275.25ac0d7

=== Makefile ===
RETRY ?= 0
# STABILITY_TEST: Set to 1 to fail as soon as any of the RETRY fails rather
# than succeed if any of the RETRY succeed
STABILITY_TEST ?= 0
# KEEP_DB: Set to 1 to keep the test database process spawned for tests. This
# can help with faster re-runs of tests but might yield inconsistent results
KEEP_DB ?= 0
# CONTAINER_TEST: Set to 0 to exclude container tests needing a container
# runtime environment
CONTAINER_TEST ?= 1
# TESTS: Specify individual test files in a space separated lists. As the user
# most likely wants only the mentioned tests to be executed and no other
# checks this implicitly disables CHECKSTYLE
TESTS ?=
# EXTRA_PROVE_ARGS: Additional prove arguments to pass
EXTRA_PROVE_ARGS ?=
ifeq ($(TESTS),)
PROVE_ARGS ?= --trap -r ${EXTRA_PROVE_ARGS}
else
CHECKSTYLE ?= 0
PROVE_ARGS ?= --trap ${EXTRA_PROVE_ARGS} $(TESTS)
endif
PROVE_LIB_ARGS ?= -l
CONTAINER_IMG ?= openqa:latest
TEST_PG_PATH ?= /dev/shm/tpg
# TIMEOUT_M: Timeout for one retry of tests in minutes
TIMEOUT_M ?= 60
ifeq ($(CI),)
SCALE_FACTOR ?= 1
else
SCALE_FACTOR ?= 2
endif
TIMEOUT_RETRIES ?= $$((${TIMEOUT_M} * ${SCALE_FACTOR} * (${RETRY} + 1) ))m
CRE ?= podman
mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
current_dir := $(patsubst %/,%,$(dir $(mkfile_path)))
container_env_file := "$(current_dir)/container.env"
unstables := $(shell cat tools/unstable_tests.txt | tr '\n' :)

# tests need these environment variables to be unset
OPENQA_BASEDIR =
OPENQA_CONFIG =
OPENQA_SCHEDULER_HOST =
OPENQA_WEB_SOCKETS_HOST =
OPENQA_SCHEDULER_STARVATION_PROTECTION_PRIORITY_OFFSET =

.PHONY: help
help:
	@echo Call one of the available targets:
	@sed -n 's/\(^[^.#[:space:]A-Z]*\):.*$$/\1/p' Makefile | uniq
	@echo See docs/Contributing.asciidoc for more details

.PHONY: install-generic
install-generic:
	./tools/generate-packed-assets
	for i in lib public script templates assets; do \
		mkdir -p "$(DESTDIR)"/usr/share/openqa/$$i ;\
		cp -a $$i/* "$(DESTDIR)"/usr/share/openqa/$$i ;\
	done

	for i in db images testresults pool ; do \
		mkdir -p "$(DESTDIR)"/var/lib/openqa/$$i ;\
	done
# shared dirs between openQA web and workers + compatibility links
	for i in factory tests; do \
		mkdir -p "$(DESTDIR)"/var/lib/openqa/share/$$i ;\
		ln -sfn /var/lib/openqa/share/$$i "$(DESTDIR)"/var/lib/openqa/$$i ;\
	done
	for i in iso hdd repo other; do \
		mkdir -p "$(DESTDIR)"/var/lib/openqa/share/factory/$$i ;\
	done
	for i in script; do \
		ln -sfn /usr/share/openqa/$$i "$(DESTDIR)"/var/lib/openqa/$$i ;\
	done
#
	install -d -m 755 "$(DESTDIR)"/etc/apache2/vhosts.d
	for i in openqa-common.inc openqa.conf.template openqa-ssl.conf.template; do \
		install -m 644 etc/apache2/vhosts.d/$$i "$(DESTDIR)"/etc/apache2/vhosts.d ;\
	done

	install -D -m 640 etc/openqa/client.conf "$(DESTDIR)"/etc/openqa/client.conf
	install -D -m 644 etc/openqa/workers.ini "$(DESTDIR)"/etc/openqa/workers.ini
	install -D -m 644 etc/openqa/openqa.ini "$(DESTDIR)"/etc/openqa/openqa.ini
	install -D -m 640 etc/openqa/database.ini "$(DESTDIR)"/etc/openqa/database.ini

	install -D -m 644 etc/logrotate.d/openqa "$(DESTDIR)"/etc/logrotate.d/openqa
#
	install -d -m 755 "$(DESTDIR)"/usr/lib/systemd/system
	install -d -m 755 "$(DESTDIR)"/usr/lib/systemd/system-generators
	install -d -m 755 "$(DESTDIR)"/usr/lib/tmpfiles.d
	for i in systemd/*.{service,target,timer,path}; do \
		install -m 644 $$i "$(DESTDIR)"/usr/lib/systemd/system ;\
	done
	sed \
		-e 's_^\(ExecStart=/usr/share/openqa/script/worker\) \(--instance %i\)$$_\1 --no-cleanup \2_' \
		-e '/Wants/aConflicts=openqa-worker@.service' \
		systemd/openqa-worker@.service > "$(DESTDIR)"/usr/lib/systemd/system/openqa-worker-no-cleanup@.service
	sed \
		-e '/Type/aEnvironment=OPENQA_WORKER_TERMINATE_AFTER_JOBS_DONE=1' \
		-e '/ExecStart=/aExecReload=\/bin\/kill -HUP $$MAINPID' \
		-e 's/Restart=on-failure/Restart=always/' \
		-e '/Wants/aConflicts=openqa-worker@.service' \
		systemd/openqa-worker@.service > "$(DESTDIR)"/usr/lib/systemd/system/openqa-worker-auto-restart@.service
	install -m 755 systemd/systemd-openqa-generator "$(DESTDIR)"/usr/lib/systemd/system-generators
	install -m 644 systemd/tmpfiles-openqa.conf "$(DESTDIR)"/usr/lib/tmpfiles.d/openqa.conf
	install -m 644 systemd/tmpfiles-openqa-webui.conf "$(DESTDIR)"/usr/lib/tmpfiles.d/openqa-webui.conf
#
# install openQA apparmor profile
	install -d -m 755 "$(DESTDIR)"/etc/apparmor.d
	install -m 644 profiles/apparmor.d/usr.share.openqa.script.openqa "$(DESTDIR)"/etc/apparmor.d
	install -m 644 profiles/apparmor.d/usr.share.openqa.script.worker "$(DESTDIR)"/etc/apparmor.d
	install -d -m 755 "$(DESTDIR)"/etc/apparmor.d/local
	install -m 644 profiles/apparmor.d/local/usr.share.openqa.script.openqa "$(DESTDIR)"/etc/apparmor.d/local
	install -m 644 profiles/apparmor.d/local/usr.share.openqa.script.worker "$(DESTDIR)"/etc/apparmor.d/local

	cp -Ra dbicdh "$(DESTDIR)"/usr/share/openqa/dbicdh

	install -d -m 755 "$(DESTDIR)"/usr/lib/sysusers.d/
	install    -m 644 usr/lib/sysusers.d/openQA-worker.conf "$(DESTDIR)"/usr/lib/sysusers.d/
	install    -m 644 usr/lib/sysusers.d/geekotest.conf "$(DESTDIR)"/usr/lib/sysusers.d/

# Additional services which have a strong dependency on SUSE/openSUSE and do not
# make sense for other distributions
.PHONY: install-opensuse
install-opensuse: install-generic
	for i in systemd/opensuse/*.{service,timer}; do \
		install -m 644 $$i "$(DESTDIR)"/usr/lib/systemd/system ;\
	done

# Match suse and opensuse
os := $(shell grep suse /etc/os-release)
.PHONY: install
ifeq ($(os),)
install: install-generic
else
install: install-opensuse
endif

.PHONY: test
ifeq ($(TRAVIS),true)
test: run-tests-within-container
else
ifeq ($(CHECKSTYLE),0)
test: test-with-database
else
test: test-checkstyle-standalone test-with-database
endif
ifeq ($(CONTAINER_TEST),1)
ifeq ($(TESTS),)
test: test-containers-compose
endif
endif
endif

.PHONY: test-checkstyle
test-checkstyle: test-checkstyle-standalone test-tidy-compile

.PHONY: test-t
test-t:
	$(MAKE) test-with-database TIMEOUT_M=25 PROVE_ARGS="$$HARNESS t/*.t" GLOBIGNORE="t/*tidy*:t/*compile*:$(unstables)"

.PHONY: test-heavy
test-heavy:
	$(MAKE) test-with-database HEAVY=1 TIMEOUT_M=25 PROVE_ARGS="$$HARNESS $$(grep -l HEAVY=1 t/*.t | tr '\n' ' ')"

.PHONY: test-ui
test-ui:
	$(MAKE) test-with-database TIMEOUT_M=25 PROVE_ARGS="$$HARNESS t/ui/*.t" GLOBIGNORE="t/*tidy*:t/*compile*:$(unstables)"

.PHONY: test-api
test-api:
	$(MAKE) test-with-database TIMEOUT_M=20 PROVE_ARGS="$$HARNESS t/api/*.t" GLOBIGNORE="t/*tidy*:t/*compile*:$(unstables)"

# put unstable tests in tools/unstable_tests.txt and uncomment in circle CI config to handle unstables with retries
.PHONY: test-unstable
test-unstable:
	for f in $$(cat tools/unstable_tests.txt); do $(MAKE) test-with-database COVERDB_SUFFIX=$$(echo $${COVERDB_SUFFIX}_$$f | tr '/' '_') TIMEOUT_M=10 PROVE_ARGS="$$HARNESS $$f" RETRY=5 || exit; done

.PHONY: test-fullstack
test-fullstack:
	$(MAKE) test-with-database FULLSTACK=1 TIMEOUT_M=30 RETRY=15 PROVE_ARGS="$$HARNESS t/full-stack.t"

.PHONY: test-fullstack-unstable
test-fullstack-unstable:
	$(MAKE) test-with-database FULLSTACK=1 TIMEOUT_M=15 PROVE_ARGS="$$HARNESS t/05-scheduler-full.t t/33-developer_mode.t" RETRY=5

# we have apparently-redundant -I args in PERL5OPT here because Docker
# only works with one and Fedora's build system only works with the other
.PHONY: test-with-database
test-with-database:
	test -d $(TEST_PG_PATH) && (pg_ctl -D $(TEST_PG_PATH) -s status >&/dev/null || pg_ctl -D $(TEST_PG_PATH) -s start) || ./t/test_postgresql $(TEST_PG_PATH)
	$(MAKE) test-unit-and-integration TEST_PG="DBI:Pg:dbname=openqa_test;host=$(TEST_PG_PATH)"
	-[ $(KEEP_DB) = 1 ] || pg_ctl -D $(TEST_PG_PATH) stop

.PHONY: test-unit-and-integration
test-unit-and-integration:
	export GLOBIGNORE="$(GLOBIGNORE)";\
	export DEVEL_COVER_DB_FORMAT=JSON;\
	export PERL5OPT="$(COVEROPT)$(PERL5OPT) -It/lib -I$(PWD)/t/lib -MOpenQA::Test::PatchDeparse";\
	RETRY=${RETRY} HOOK=./tools/delete-coverdb-folder timeout -s SIGINT -k 5 -v ${TIMEOUT_RETRIES} tools/retry prove ${PROVE_LIB_ARGS} ${PROVE_ARGS}

# prepares running the tests within a container (eg. pulls os-autoinst) and then runs the tests considering
# the test matrix environment variables
# note: This is supposed to run within the container unlike `launch-container-to-run-tests-within`
#       which launches the container.
.PHONY: run-tests-within-container
run-tests-within-container:
	tools/run-tests-within-container

ifeq ($(COVERAGE),1)
COVERDB_SUFFIX ?=
# We use JSON::PP because there is a bug producing a (harmless) 'redefined'
# warning when using Devel::Cover and Cpanel::JSON::XS
# https://progress.opensuse.org/issues/90371
COVEROPT ?= -mJSON::PP -MDevel::Cover=-select_re,'^/lib',+ignore_re,lib/perlcritic/Perl/Critic/Policy,-coverage,statement,-db,cover_db$(COVERDB_SUFFIX),
endif

.PHONY: coverage
coverage:
	export DEVEL_COVER_DB_FORMAT=JSON;\
	COVERAGE=1 cover ${COVER_OPTS} -test

COVER_REPORT_OPTS ?= -select_re '^(lib|script|t)/'

.PHONY: coverage-report-codecov
coverage-report-codecov:
	cover $(COVER_REPORT_OPTS) -report codecovbash

.PHONY: coverage-codecov
coverage-codecov: coverage
	$(MAKE) coverage-report-codecov

.PHONY: coverage-report-html
coverage-report-html:
	cover $(COVER_REPORT_OPTS) -report html_minimal

.PHONY: coverage-html
coverage-html: coverage
	$(MAKE) coverage-report-html

public/favicon.ico: assets/images/logo.svg
	for w in 16 32 64 128; do \
		(cd assets/images/ && for i in *.svg; do \
			inkscape -e $${i%.svg}-$$w.png -w $$w $$i; \
		done); \
	done
	convert assets/images/logo-16.png assets/images/logo-32.png assets/images/logo-64.png assets/images/logo-128.png -background white -alpha remove public/favicon.ico
	rm assets/images/logo-128.png assets/images/logo-32.png assets/images/logo-64.png

.PHONY: container-test-build
container-test-build:
	${CRE} build --no-cache $(current_dir)/container/openqa -t $(DOCKER_IMG)

.PHONY: $(container_env_file)
$(container_env_file):
	env | grep -E 'CHECKSTYLE|FULLSTACK|UITEST|GH|TRAVIS|CPAN|DEBUG|ZYPPER' > $@

.PHONY: launch-container-to-run-tests-within
launch-container-to-run-tests-within: $(container_env_file)
	${CRE} run --env-file $(container_env_file) -v $(current_dir):/opt/openqa \
	   $(CONTAINER_IMG) make coverage-codecov
	rm $(container_env_file)

.PHONY: prepare-and-launch-container-to-run-tests-within
.NOTPARALLEL: prepare-and-launch-container-to-run-tests-within
prepare-and-launch-container-to-run-tests-within: container-test-build launch-container-to-run-tests-within
	echo "Use '${CRE} rm' and '${CRE} rmi' to remove the container and image if necessary"

# all additional checks not called by prove
.PHONY: test-checkstyle-standalone
test-checkstyle-standalone: test-shellcheck test-yaml test-critic
ifeq ($(CONTAINER_TEST),1)
test-checkstyle-standalone: test-check-containers
endif

.PHONY: test-critic
test-critic:
	PERL5LIB=lib/perlcritic:$$PERL5LIB perlcritic lib

.PHONY: test-tidy-compile
test-tidy-compile:
	$(MAKE) test-unit-and-integration TIMEOUT_M=20 PROVE_ARGS="$$HARNESS t/*{tidy,compile}*.t" GLOBIGNORE="$(unstables)"

.PHONY: test-shellcheck
test-shellcheck:
	@which shellcheck >/dev/null 2>&1 || (echo "Command 'shellcheck' not found, can not execute shell script checks" && false)
	shellcheck -x $$(file --mime-type script/* t/* container/worker/*.sh tools/* | sed -n 's/^\(.*\):.*text\/x-shellscript.*$$/\1/p')

.PHONY: test-yaml
test-yaml:
	@which yamllint >/dev/null 2>&1 || (echo "Command 'yamllint' not found, can not execute YAML syntax checks" && false)
	@# Fall back to find if there is no git, e.g. in package builds
	yamllint --strict $$((git ls-files "*.yml" "*.yaml" 2>/dev/null || find -name '*.y*ml') | grep -v ^dbicdh)

.PHONY: test-check-containers
test-check-containers:
	tools/static_check_containers

.PHONY: tidy-js
tidy-js:
	tools/js-tidy

.PHONY: tidy-perl
tidy-perl:
	tools/tidy

.PHONY: tidy
tidy: tidy-js tidy-perl

.PHONY: test-containers-compose
test-containers-compose:
	tools/test_containers_compose

=== debian/changelog ===
openqa (4.6.1640268275.25ac0d7-2) unstable; urgency=medium

  * openqa-client should be Architecture: all

 -- Philip Hands <phil@hands.com>  Sat, 01 Jan 2022 09:55:52 +0100

openqa (4.6.1640268275.25ac0d7-1) unstable; urgency=medium

  * New upstream release.
  * openqa-common: depend on libfilesys-df-perl
  * fix lintian JS overrides
  * using packaged bootstrap4 breaks scrollbar text alignment: add padding
  * install systemd files under /lib so that dh_installsystemd notices them
  * use execute_(before|after)_dh_* in rules
  * deal with dh_missing errors
  * postinst chmod renders lintian-override redundant
  * ensure that missing assets result in failure
  * node-jquery-ujs 1.2.3-1: rails.js --> /usr/share

 -- Philip Hands <phil@hands.com>  Fri, 31 Dec 2021 22:34:51 +0100

openqa (4.6.1632930736.2895850-1) unstable; urgency=medium

  * Initial release (Closes: #840253)

 -- Philip Hands <phil@hands.com>  Thu, 30 Sep 2021 20:13:08 +0200

=== debian/control ===
Source: openqa
Section: devel
Priority: optional
Maintainer: Philip Hands <phil@hands.com>
Uploaders: Adam Majer <adamm@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Hideki Yamane <henrich@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               os-autoinst,
               systemd,
               ruby-sass,
               fdupes,
               libmojolicious-perl (>= 9.20),
### Bug#839569
#              libselenium-remote-driver-perl (>= 1.0),
### for test&runtime
#               libaliased-perl,
               libarchive-extract-perl,
               libbsd-resource-perl,
#               libcache-cache-perl,
#               libcgi-pm-perl,
               libclone-perl,
               libconfig-inifiles-perl,
#               libconfig-tiny-perl,
               libcrypt-dh-gmp-perl,
               libcss-minifier-xs-perl (>= 0.01),
               libdbd-sqlite3-perl,
               libdbix-class-perl,
               libdbix-class-deploymenthandler-perl,
               libdbix-class-dynamicdefault-perl,
               libdbix-class-optimisticlocking-perl,
               libdata-dump-perl,
               libdata-optlist-perl,
               libdatetime-perl,
               libdatetime-format-sqlite-perl,
               libdatetime-format-pg-perl,
               libcpanel-json-xs-perl,
               libtest-exception-perl,
               libpod-pom-perl,
               libmojo-sqlite-perl,
               libmojo-pg-perl,
               libmojo-ioloop-readwriteprocess-perl,
               libdbix-class-schema-config-perl,
#               libdbix-class-schema-loader-perl,
               libfile-copy-recursive-perl,
#               libio-socket-inet6-perl,
               libio-socket-ssl-perl,
               libipc-run-perl,
               libjavascript-minifier-xs-perl (>= 0.11),
               libjson-perl,
               libjson-xs-perl,
               liblist-moreutils-perl,
               libmro-compat-perl,
               libmodule-implementation-perl,
               libmodule-load-conditional-perl,
               libmodule-runtime-perl,
               libmojo-rabbitmq-client-perl,
               libmojolicious-plugin-assetpack-perl (>= 1.36),
#               libmojolicious-plugin-renderfile-perl,
               libnamespace-clean-perl,
               libnet-dbus-perl,
               libnet-openid-consumer-perl,
               libpackage-stash-perl,
               libparams-util-perl,
               libparams-validate-perl,
               libregexp-common-perl,
               libscalar-list-utils-perl,
               libsort-versions-perl,
               libsql-splitstatement-perl,
               libsql-translator-perl,
               libsub-install-perl,
               libsub-name-perl,
               libtest-compile-perl,
               libtest-simple-perl,
               libtext-markdown-perl,
               libtime-parsedate-perl,
               libtime-moment-perl,
               libtimedate-perl,
               liburi-perl,
               libwww-perl,
               perl,
               libminion-perl,
### for testcases
               libperl-critic-perl,
               libperl-critic-freenode-perl,
               libcommonmark-perl,
               libgetopt-long-descriptive-perl,
               libmojolicious-plugin-oauth2-perl,
               libtest-fatal-perl,
               libtest-mockmodule-perl,
               libtest-mockobject-perl,
               libtest-output-perl,
               libtest-pod-perl,
               libtest-strict-perl,
               libtest-warnings-perl,
               libyaml-libyaml-perl,
               libjson-validator-perl,
               libminion-backend-sqlite-perl,
               postgresql,
               rsync,
               shellcheck,
               jsbeautifier,
               libclass-c3-componentised-perl,
               libtest-most-perl,
               libyaml-pp-perl,
               python3,
               python3-future,
               python3-requests,
               yamllint,
               libfilesys-df-perl,
               libfile-map-perl,
#              for avoiding assetpack downloads
               fonts-fork-awesome,
               fonts-roboto,
               libjs-chosen,
               libjs-jquery-datatables,
               libjs-bootstrap4,
               libjs-bootstrap-tour,
               libjs-codemirror,
               libjs-jquery,
               libjs-jquery-timeago,
               libjs-popper.js,
               node-jquery-ujs,
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: http://open.qa
Vcs-Git: https://salsa.debian.org/debian/openqa.git
Vcs-Browser: https://salsa.debian.org/debian/openqa

Package: openqa
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
         openqa-common (>= ${binary:Version}),
         openqa-client (>= ${binary:Version}),
         sqlite3, git, optipng, dbus,
         liburi-perl,
         liblwp-protocol-https-perl,
         libdbix-class-perl (>= 0.082801),
         libsql-splitstatement-perl,
         libdbix-class-deploymenthandler-perl,
         libmojo-sqlite-perl,
         libjson-validator-perl,
         libtext-diff-perl,
         libyaml-pp-perl,
         libdatetime-format-pg-perl,
         libtime-moment-perl,
         libminion-perl,
         libmojo-pg-perl,
         libcommonmark-perl,
         postgresql,
         libclass-c3-componentised-perl,
         fonts-fork-awesome,
         libjs-jquery-datatables,
         libjs-bootstrap-tour,
         libjs-codemirror,
         libjs-jquery,
         libjs-jquery-timeago,
         libjs-popper.js,
         node-jquery-ujs (>= 1.2.3-1),
         libjs-cropper,
Recommends: apparmor-profiles, apparmor-utils,
            apache2, logrotate,
            libdbd-pg-perl,
            libmojolicious-plugin-oauth2-perl,
Description: automatic Operating System testing framework (webUI & scheduler)
 openQA is a testing framework that allows you to run tests on pretty-much
 anything that you can get 'remote' control of (most often, anything you can run
 in a VM and point VNC at). This allows testing of things including GUI
 applications, system boot-up (BIOS, bootloaders, kernels), installers and whole
 operating systems.
 .
 Tests (using Perl syntax) generally consist mostly of sequences of code like:
   assert_and_click 'some_icon';
   assert_screen 'some_prompt';
   send_key 'ret';
 which are run using the os-autoinst test engine, by a worker. The tags named in
 scripts can then be associated with 'needles' (elements of screenshots) via the
 webUI (either from past tests, or while controlling a live test). Other testing
 possibilities include: serial-connected headless systems, multi-host networked
 tests, and non-VM 'real' systems.
 .
 This package includes the job scheduler, the elements providing the services to
 allow workers to run tests and upload results, and the Web-based user
 interface.

Package: openqa-common
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libmojolicious-perl (>= 9.20),
         libjs-chosen,
### for test&runtime
         libdbd-sqlite3-perl,
         libdbix-class-perl (>= 0.082801),
         libconfig-inifiles-perl,
         libsql-translator-perl,
         libdatetime-format-sqlite-perl,
         libfile-copy-recursive-perl,
         libmojolicious-plugin-renderfile-perl,
         libmojolicious-plugin-assetpack-perl (>= 1.36),
         libaliased-perl,
         libconfig-tiny-perl,
         libdbix-class-dynamicdefault-perl,
         libdbix-class-schema-config-perl,
         libdbix-class-optimisticlocking-perl,
         libio-socket-ssl-perl,
         libdata-dump-perl,
         libtext-markdown-perl,
         libnet-dbus-perl,
         libipc-run-perl,
         libarchive-extract-perl,
         libcss-minifier-xs-perl (>= 0.01),
         libjavascript-minifier-xs-perl,
         libmojo-rabbitmq-client-perl,
         libtime-parsedate-perl,
         libsort-versions-perl,
         libbsd-resource-perl,
         libnet-openid-consumer-perl,
         libpod-pom-perl,
         libregexp-common-perl,
         libjson-validator-perl,
         libfilesys-df-perl,
Recommends:
         git-lfs,
Description: automatic Operating System testing framework (common files)
 This package contains shared resources for openQA web front-end and openQA
 workers.
 .
 openQA is a testing framework that allows you to run tests on pretty-much
 anything that you can 'remotely' control. For instance, a VM that can be
 accessed via VNC.

Package: openqa-client
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libjson-perl,
         libconfig-inifiles-perl,
         libdata-dump-perl,
         libmojolicious-perl (>= 9.20),
         openqa-common (= ${source:Version}),
Suggests: python3,
          python3-future,
Description: automatic Operating System testing framework (utilities)
 This package includes scripts such as 'openqa-cli' and 'openqa-clone-job' to
 provide easy control of openQA servers, via the REST API, as well as commands
 useful when administering an OpenQA server.
 .
 openQA is a testing framework that allows you to run tests on pretty-much
 anything that you can 'remotely' control. For instance, a VM that can be
 accessed via VNC.

Package: openqa-worker
Architecture: all
Pre-Depends: openqa-common (>= ${binary:Version}),
Depends: ${misc:Depends},
         ${perl:Depends},
         openqa-client (>= ${binary:Version}),
         os-autoinst (>= 4.6.1631608584),
         libsql-splitstatement-perl,
         libmojo-ioloop-readwriteprocess-perl,
         libnet-dns-native-perl,
         vde2,
         libfile-map-perl,
Recommends: qemu,
            libminion-backend-sqlite-perl,
Description: automatic Operating System testing framework (worker)
 openQA is a testing framework that allows you to run tests on pretty-much
 anything that you can get 'remote' control of (most often, anything you can run
 in a VM and point VNC at). This allows testing of things including GUI
 applications, system boot-up (BIOS, bootloaders, kernels), installers and whole
 operating systems.
 .
 Tests (using Perl syntax) generally consist of little more than sequences like:
 assert_and_click 'some_icon'; assert_screen 'some_prompt'; send_key 'ret';
 which are run using the os-autoinst test engine, by a worker. The tags named in
 scripts can then be associated with 'needles' (elements of screenshots) via the
 webUI (either from past tests, or while controlling a live test). Other testing
 possibilities include: serial-connected headless systems, multi-host networked
 tests, and non-VM 'real' systems.
 .
 This package is to be installed on a worker system (which may also be acting as
 a server). Workers register with a server (or perhaps multiple servers), and
 can then accept jobs, and run tests (using the os-autoinst test engine).

Package: openqa-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: automatic Operating System testing framework - documentation
 Documentation for openQA (and the associated os-autoinst test engine), covering
 topics including: installation, configuration, and basic test writing.
 .
 openQA is a testing framework that allows you to run tests on pretty-much
 anything that you can 'remotely' control. For instance, a VM that can be
 accessed via VNC.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	# create links to locally installed assets
	mkdir -p assets/_debian
	ln -s /usr/share/fonts-fork-awesome assets/_debian
	ln -s /usr/share/fonts-roboto-fontface assets/_debian
	sed -i -e 's%https://cdn\.jsdelivr\.net/npm/fork-awesome@1\.2\.0/css/fork-awesome\.min\.css%_debian/fonts-fork-awesome/css/fork-awesome.css%' assets/assetpack.def
	# convince assetpack to use local copies of the fonts:
	for ext in eot svg ttf woff woff2 ; do \
		printf '\n! forkawesome-webfont.%s\n< _debian/fonts-fork-awesome/fonts/forkawesome-webfont.%s\n' $$ext $$ext >> assets/assetpack.def ; \
	done
	ln -s -s /usr/share/javascript/chosen assets/_debian/libjs-chosen
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/chosen/1\.7\.0/%_debian/libjs-chosen/%' assets/assetpack.def
	mkdir -p assets/_debian/datatables
	cp --dereference -v -s /usr/share/javascript/jquery-datatables/css/dataTables.bootstrap4.css \
		/usr/share/javascript/jquery-datatables/jquery.dataTables.js \
		/usr/share/javascript/jquery-datatables/dataTables.bootstrap4.js assets/_debian/datatables
	sed -i -e 's%https://cdn\.datatables\.net/1\.10\.16/\(css\|js\)/%_debian/datatables/%' assets/assetpack.def
	mkdir -p assets/_debian/libjs-bootstrap4
	ln -s /usr/share/sass/bootstrap assets/_debian/libjs-bootstrap4/sass
	ln -s /usr/share/javascript/bootstrap4/js assets/_debian/libjs-bootstrap4/js
	sed -i -e 's%https://raw\.githubusercontent\.com/twbs/bootstrap/v4\.1\.1/scss/\(.*\)%_debian/libjs-bootstrap4/sass/\1%' \
	       -e 's%https://maxcdn\.bootstrapcdn\.com/bootstrap/4\.0\.0/js/bootstrap\.js%_debian/libjs-bootstrap4/js/bootstrap.js%' assets/assetpack.def
	sed -i -e 's%cache/raw\.githubusercontent\.com/twbs/bootstrap/v4\.1\.1/scss%_debian/libjs-bootstrap4/sass%' assets/stylesheets/openqa.scss
	ln -s /usr/share/javascript/bootstrap-tour assets/_debian/libjs-bootstrap-tour
	sed -i -e 's%https://raw\.githubusercontent\.com/sorich87/bootstrap-tour/6a1028fb562f9aa68c451f0901f8cfeb43cad140/build/\(css\|js\)/bootstrap-tour\.\(css\|min\.js\)%_debian/libjs-bootstrap-tour/bootstrap-tour.\2%' assets/assetpack.def
	ln -s /usr/share/javascript/codemirror assets/_debian/libjs-codemirror
	sed -i -e 's%https://raw\.githubusercontent\.com/codemirror/CodeMirror/8097c7e75ce7ef0512debe9967d7568626106e53/\(lib\|mode\)\(.*\)%_debian/libjs-codemirror/\1\2%' assets/assetpack.def
	ln -s /usr/share/javascript/jquery assets/_debian/libjs-jquery
	sed -i -e 's%https://code\.jquery\.com/jquery-3\.3\.1\.js%_debian/libjs-jquery/jquery.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/bootstrap-4-multi-dropdown-navbar_957865f9 assets/_debian/bootstrap-4-multi-dropdown-navbar_957865f9
	sed -i -e 's%https://raw\.githubusercontent\.com/bootstrapthemesco/bootstrap-4-multi-dropdown-navbar/beta2\.0/\(css\|js\)/%_debian/bootstrap-4-multi-dropdown-navbar_957865f9/%' assets/assetpack.def
	ln -s /usr/share/javascript/jquery-timeago assets/_debian/libjs-jquery-timeago
	sed -i -e 's%http://timeago\.yarp\.com/jquery\.timeago\.js%_debian/libjs-jquery-timeago/jquery.timeago.js%' assets/assetpack.def
	ln -s /usr/share/nodejs/popper.js/dist assets/_debian/libjs-popper.js
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/popper\.js/1\.12\.9/umd/popper\.js%_debian/libjs-popper.js/umd/popper.js%' assets/assetpack.def
	ln -s /usr/share/nodejs/jquery-ujs/src assets/_debian/node-jquery-ujs
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/jquery-ujs/1\.2\.1/rails\.js%_debian/node-jquery-ujs/rails.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/d3js_4.13.0 assets/_debian/d3js_4.13.0
	sed -i -e 's%https://d3js\.org/d3\.v4\.js%_debian/d3js_4.13.0/d3.v4.js%' assets/assetpack.def
	tar -xvz --transform='s%.*dist%assets/_debian/dagre-d3_0.5.0%' -f debian/missing-sources/dagre-d3_0.5.0/v0.5.0.tar.gz dagre-d3-0.5.0/dist/dagre-d3.js
	sed -i -e 's%https://raw\.githubusercontent\.com/dagrejs/dagre-d3/v0\.5\.0/dist/dagre-d3\.js%_debian/dagre-d3_0.5.0/dagre-d3.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/anser_2.0.1 assets/_debian/anser_2.0.1
	sed -i -e 's%https://raw\.githubusercontent\.com/IonicaBizau/\(anser\)/\(2\.0\.1\)/lib/\(index\.js\)%_debian/\1_\2/\3%' assets/assetpack.def
	ln -sf /usr/share/javascript/cropper/cropper.css assets/stylesheets/cropper.css
	! grep http assets/assetpack.def

override_dh_auto_install:
	dh_auto_install -- SHELL="/bin/bash" GENERATE_PACKED_ASSETS_FAILS_ON_MISSING_ASSETS=1

execute_after_dh_install:
	# make #! lines Debian Perl/Python Policy compliant
	find $(CURDIR)/debian/openqa*/usr/share/openqa -type f -print0 | \
		xargs -r0 sed -i -e '1s%^\(#!/usr/bin/\)env \(perl\|python3\)%\1\2%'
	sed -i 's#/etc/apache2/vhosts\.d#/etc/apache2/sites-available#' \
		$(CURDIR)/debian/openqa/etc/apache2/sites-available/openqa*.conf.template

execute_after_dh_fixperms-arch:
	chmod -x debian/openqa/etc/logrotate.d/openqa
	chmod +x debian/openqa/usr/share/openqa/dbicdh/_common/upgrade/*-*/0*-*.pl

override_dh_auto_test:
	# check things didn't change upstream
	[ "$$(sed -n -e "/rm /,/^$$/{/^\(rm.*\| *\) t[/]/p}" dist/rpm/openQA.spec | md5sum)" = "11aeadc0dccdf73d1f723949a6a6118d  -" ]
	# this snippet was generated thus: sed -n -e "/\(# we don't really need the tidy test\|# Skip tests not working currently\)/,/^$/{/./s/^/\t/;p}" dist/rpm/openQA.spec
	# =-= BEGIN openQA.spec snippet
	# we don't really need the tidy test
	rm -f t/00-tidy.t

	# Skip tests not working currently, or flaky, and Selenium tests
	# https://progress.opensuse.org/issues/19652
	# 01-test-utilities.t: https://progress.opensuse.org/issues/73162
	# 17-labels_carry_over.t: https://progress.opensuse.org/issues/60209
	# api/14-plugin_obs_rsync_async.t: https://progress.opensuse.org/issues/68836
	# t/43-scheduling-and-worker-scalability.t: https://progress.opensuse.org/issues/96545
	rm \
	    t/01-test-utilities.t \
	    t/17-labels_carry_over.t \
	    t/25-cache-service.t \
	    t/api/14-plugin_obs_rsync_async.t \
	    t/43-scheduling-and-worker-scalability.t \
	    t/ui/*.t

	# =-= END openQA.spec snippet

	# On debian we can't run test connecting to internet
	rm -f ./t/40-script_openqa-clone-custom-git-refspec.t \
		./t/40-openqa-clone-job.t
	# Not enough permission for unshare use
	rm -f ./t/32-openqa_client-script.t

	-export CI=1; export OPENQA_TEST_TIMEOUT_SCALE_CI=10 ; \
		PATH=$$PATH:$$(ls -d /usr/lib/postgresql/*/bin) FULLSTACK=1 \
		dh_auto_test -- \
		SHELL="bash -x" PROVE_ARGS='-r -v' CHECKSTYLE=0 TEST_PG_PATH=$(CURDIR)/debian/DB

execute_before_dh_auto_clean:
	-rm -rf assets/_debian/
	rm -fr t/data/openqa/testresults/ .sass-cache/ assets/cache
	rm -f assets/assetpack.db job.json t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/t/data/openqa/pool/1/worker-log.txt t/data/openqa/pool/1/t/data/openqa/pool/1/worker-log.txt t/data/openqa/share/factory/iso/Core-7.2.iso t/data/openqa/share/tests/opensuse/needles/inst-timezone-text.json t/data/openqa/webui/cache/asset-status.json
	rm -f t/data/openqa/share/factory/hdd/00099963-hdd_image3.qcow2 t/data/openqa/share/factory/hdd/00099963-hdd_image7.qcow2 t/data/openqa/share/factory/hdd/hdd_image2.qcow2 t/data/openqa/share/factory/hdd/hdd_image5.qcow2 t/data/openqa/share/factory/other/00099963-hdd_image3.xml t/data/openqa/share/factory/other/00099963-hdd_image4.xml
	rm -fr $(CURDIR)/debian/DB

pod2man_opts := --errors=stderr --section=1 --center "openQA Documentation" --release 'openQA $(DEB_VERSION_UPSTREAM)'
execute_before_dh_installman:
	mkdir -p scratch/man
	for src in client load_templates dump_templates openqa-clone-job openqa-label-all openqa-validate-yaml ; do \
		dst=$$(echo $$src | sed -e 's/_/-/;s/^\(openqa-\)\?/openqa-/') ; \
		pod2man $(pod2man_opts) --name=$$dst script/$$src scratch/man/$$dst.1 ; \
	done

## openqa 4.6.1668594742.66ecc7a70

=== debian/changelog ===
openqa (4.6.1668594742.66ecc7a70-1) unstable; urgency=medium

  * Update to new upstream version 4.6.1668594742.66ecc7a70.
  * switch to dgit-debrebase workflow, and reconstruct separate patches

 -- Philip Hands <phil@hands.com>  Thu, 17 Nov 2022 11:14:56 +0100

openqa (4.6.1653336570.10bff0d-3) unstable; urgency=medium

  * bump Standards-Version
  * depend libcpanel-json-xs-perl & libmoose-perl (closes: 1019920)
  * lintian tidyage

 -- Philip Hands <phil@hands.com>  Mon, 10 Oct 2022 20:28:51 +0200

openqa (4.6.1653336570.10bff0d-1) unstable; urgency=medium

  * New upstream release.

 -- Philip Hands <phil@hands.com>  Tue, 24 May 2022 21:07:23 +0200

openqa (4.6.1648473912.da11be7-1) unstable; urgency=medium

  * Create and install manpages
  * openqa-label-all now uses openqa-cli
  * openqa-cli requires Time::Moment
  * adjust self-references in openqa-*-templates(1)
  * New upstream release.
  * disable shepherd.js tour (until shepherd.js is packaged)

 -- Philip Hands <phil@hands.com>  Mon, 23 May 2022 17:39:08 +0200

=== debian/control ===
--- 
+++ 
@@ -80,7 +80,7 @@
                liburi-perl,
                libwww-perl,
                perl,
-               libminion-perl,
+               libminion-perl (>= 10.25),
 ### for testcases
                libperl-critic-perl,
                libperl-critic-freenode-perl,
@@ -115,16 +115,16 @@
                fonts-roboto,
                libjs-chosen,
                libjs-jquery-datatables,
-               libjs-bootstrap4,
-               libjs-bootstrap-tour,
+               libjs-bootstrap4 (>= 4.6.1),
                libjs-codemirror,
-               libjs-jquery,
+               libjs-jquery (>= 3.6.0),
                libjs-jquery-timeago,
-               libjs-popper.js,
+               libjs-popper.js (>= 1.16.1),
                node-jquery-ujs,
-Standards-Version: 4.6.0.1
+               libcode-tidyall-perl,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://open.qa
+Homepage: https://open.qa
 Vcs-Git: https://salsa.debian.org/debian/openqa.git
 Vcs-Browser: https://salsa.debian.org/debian/openqa
 
@@ -144,15 +144,13 @@
          libtext-diff-perl,
          libyaml-pp-perl,
          libdatetime-format-pg-perl,
-         libtime-moment-perl,
-         libminion-perl,
+         libminion-perl (>= 10.25),
          libmojo-pg-perl,
          libcommonmark-perl,
          postgresql,
          libclass-c3-componentised-perl,
          fonts-fork-awesome,
          libjs-jquery-datatables,
-         libjs-bootstrap-tour,
          libjs-codemirror,
          libjs-jquery,
          libjs-jquery-timeago,
@@ -221,6 +219,9 @@
          libregexp-common-perl,
          libjson-validator-perl,
          libfilesys-df-perl,
+         libtime-moment-perl,
+         libcpanel-json-xs-perl,
+         libmoose-perl,
 Recommends:
          git-lfs,
 Description: automatic Operating System testing framework (common files)
@@ -286,6 +287,7 @@
 
 Package: openqa-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
 Description: automatic Operating System testing framework - documentation

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	# forget shepherd until it is packaged:
	rm assets/stylesheets/shepherd.scss t/ui/24-feature-tour.t
	# create links to locally installed assets
	# and convince assetpack to use local copies of remote assets:
	mkdir -p assets/_debian
	ln -s /usr/share/fonts-fork-awesome assets/_debian
	ln -s /usr/share/fonts-roboto-fontface assets/_debian
	sed -i -e 's%https://cdn\.jsdelivr\.net/npm/fork-awesome@1\.2\.0/css/fork-awesome\.min\.css%_debian/fonts-fork-awesome/css/fork-awesome.css%' assets/assetpack.def
	for ext in eot svg ttf woff woff2 ; do \
		printf '\n! forkawesome-webfont.%s\n< _debian/fonts-fork-awesome/fonts/forkawesome-webfont.%s\n' $$ext $$ext >> assets/assetpack.def ; \
	done
	ln -s -s /usr/share/javascript/chosen assets/_debian/libjs-chosen
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/chosen/1\.7\.0/%_debian/libjs-chosen/%' assets/assetpack.def
	mkdir -p assets/_debian/datatables
	cp --dereference -v -s /usr/share/javascript/jquery-datatables/css/dataTables.bootstrap4.css \
		/usr/share/javascript/jquery-datatables/jquery.dataTables.js \
		/usr/share/javascript/jquery-datatables/dataTables.bootstrap4.js assets/_debian/datatables
	sed -i -e 's%https://cdn\.datatables\.net/1\.10\.16/\(css\|js\)/%_debian/datatables/%' assets/assetpack.def
	mkdir -p assets/_debian/libjs-bootstrap4
	ln -s /usr/share/sass/bootstrap assets/_debian/libjs-bootstrap4/sass
	ln -s /usr/share/javascript/bootstrap4/js assets/_debian/libjs-bootstrap4/js
	sed -i -e 's%https://raw\.githubusercontent\.com/twbs/bootstrap/v4\.6\.1/scss/\(.*\)%_debian/libjs-bootstrap4/sass/\1%' \
	       -e 's%https://cdn\.jsdelivr\.net/npm/bootstrap@4\.6\.1/dist/js/bootstrap\.js%_debian/libjs-bootstrap4/js/bootstrap.js%' assets/assetpack.def
	sed -i -e 's%cache/raw\.githubusercontent\.com/twbs/bootstrap/v4\.6\.1/scss%_debian/libjs-bootstrap4/sass%' assets/stylesheets/openqa.scss
	ln -s /usr/share/javascript/codemirror assets/_debian/libjs-codemirror
	sed -i -e 's%https://raw\.githubusercontent\.com/codemirror/CodeMirror/8097c7e75ce7ef0512debe9967d7568626106e53/\(lib\|mode\)\(.*\)%_debian/libjs-codemirror/\1\2%' assets/assetpack.def
	ln -s /usr/share/javascript/jquery assets/_debian/libjs-jquery
	sed -i -e 's%https://code\.jquery\.com/jquery-3\.6\.0\.js%_debian/libjs-jquery/jquery.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/bootstrap-4-multi-dropdown-navbar_957865f9 assets/_debian/bootstrap-4-multi-dropdown-navbar_957865f9
	sed -i -e 's%https://raw\.githubusercontent\.com/bootstrapthemesco/bootstrap-4-multi-dropdown-navbar/beta2\.0/\(css\|js\)/%_debian/bootstrap-4-multi-dropdown-navbar_957865f9/%' assets/assetpack.def
	ln -s /usr/share/javascript/jquery-timeago assets/_debian/libjs-jquery-timeago
	sed -i -e 's%http://timeago\.yarp\.com/jquery\.timeago\.js%_debian/libjs-jquery-timeago/jquery.timeago.js%' assets/assetpack.def
	ln -s /usr/share/nodejs/popper.js/dist assets/_debian/libjs-popper.js
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/popper\.js/1\.16\.1/umd/popper\.js%_debian/libjs-popper.js/umd/popper.js%' assets/assetpack.def
	ln -s /usr/share/nodejs/jquery-ujs/src assets/_debian/node-jquery-ujs
	sed -i -e 's%https://cdnjs\.cloudflare\.com/ajax/libs/jquery-ujs/1\.2\.1/rails\.js%_debian/node-jquery-ujs/rails.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/d3js_4.13.0 assets/_debian/d3js_4.13.0
	sed -i -e 's%https://d3js\.org/d3\.v4\.js%_debian/d3js_4.13.0/d3.v4.js%' assets/assetpack.def
	tar -xvz --transform='s%.*dist%assets/_debian/dagre-d3_0.5.0%' -f debian/missing-sources/dagre-d3_0.5.0/v0.5.0.tar.gz dagre-d3-0.5.0/dist/dagre-d3.js
	sed -i -e 's%https://raw\.githubusercontent\.com/dagrejs/dagre-d3/v0\.5\.0/dist/dagre-d3\.js%_debian/dagre-d3_0.5.0/dagre-d3.js%' assets/assetpack.def
	cp -v -r debian/missing-sources/anser_2.0.1 assets/_debian/anser_2.0.1
	sed -i -e 's%https://raw\.githubusercontent\.com/IonicaBizau/\(anser\)/\(2\.0\.1\)/lib/\(index\.js\)%_debian/\1_\2/\3%' assets/assetpack.def
	ln -sf /usr/share/javascript/cropper/cropper.css assets/stylesheets/cropper.css
	# ensure that there are no remote references left
	! grep http assets/assetpack.def

override_dh_auto_install:
	dh_auto_install -- SHELL="/bin/bash" GENERATE_PACKED_ASSETS_FAILS_ON_MISSING_ASSETS=1

execute_after_dh_install:
	# make #! lines Debian Perl/Python Policy compliant
	find $(CURDIR)/debian/openqa*/usr/share/openqa -type f -print0 | \
		xargs -r0 sed -i -e '1s%^\(#!/usr/bin/\)env \(perl\|python3\)%\1\2%'
	# apache vhost configs are found in .../sites-available on Debian
	sed -i 's#\(/etc/apache2/\)vhosts\.d#\1sites-available#' \
		$(CURDIR)/debian/openqa/usr/share/openqa/script/configure-web-proxy \
		$(CURDIR)/debian/openqa/etc/apache2/sites-available/openqa*.conf.template

execute_after_dh_fixperms:
	chmod -x debian/openqa/etc/logrotate.d/openqa
	chmod +x debian/openqa/usr/share/openqa/dbicdh/_common/upgrade/*-*/0*-*.pl

override_dh_auto_test:
	# remeber, there used to be more disabled tests here, inspired by the RPM spec file.
	# revert the change that introduced this comment if those tests start failing again.

	# On debian we can't run test connecting to internet
	rm -f ./t/40-script_openqa-clone-custom-git-refspec.t \
		./t/40-openqa-clone-job.t
	# Not enough permission for unshare use
	rm -f ./t/32-openqa_client-script.t

	-export CI=1; export OPENQA_TEST_TIMEOUT_SCALE_CI=10 ; \
		PATH=$$PATH:$$(ls -d /usr/lib/postgresql/*/bin) FULLSTACK=1 \
		dh_auto_test -- \
		SHELL="bash -x" PROVE_ARGS='-r -v' CHECKSTYLE=0 TEST_PG_PATH=$(CURDIR)/debian/DB

execute_before_dh_auto_clean:
	-rm -rf assets/_debian/
	rm -fr t/data/openqa/testresults/ .sass-cache/ assets/cache
	rm -f assets/assetpack.db job.json t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/t/data/openqa/pool/1/.locked t/data/openqa/pool/1/t/data/openqa/pool/1/t/data/openqa/pool/1/worker-log.txt t/data/openqa/pool/1/t/data/openqa/pool/1/worker-log.txt t/data/openqa/share/factory/iso/Core-7.2.iso t/data/openqa/share/tests/opensuse/needles/inst-timezone-text.json t/data/openqa/webui/cache/asset-status.json
	rm -f t/data/openqa/share/factory/hdd/00099963-hdd_image3.qcow2 t/data/openqa/share/factory/hdd/00099963-hdd_image7.qcow2 t/data/openqa/share/factory/hdd/hdd_image2.qcow2 t/data/openqa/share/factory/hdd/hdd_image5.qcow2 t/data/openqa/share/factory/other/00099963-hdd_image3.xml t/data/openqa/share/factory/other/00099963-hdd_image4.xml
	rm -fr $(CURDIR)/debian/DB

pod2man_opts := --errors=stderr --section=1 --center "openQA Documentation" --release 'openQA $(DEB_VERSION_UPSTREAM)'
execute_before_dh_installman:
	make build-manpages -- DESTDIR=debian/tmp OPENQA_VERSION=$(DEB_VERSION_UPSTREAM)
